From: Martin Atukunda <matlads@dsmagic.com>
To: git@vger.kernel.org
Subject: Add uninstall target to Makefile
Date: Fri, 16 Sep 2005 15:58:14 +0300 [thread overview]
Message-ID: <20050916125814.GA8084@igloo.ds.co.ug> (raw)
Add the uninstall target to the Makefile.
Signed-off-by: Martin Atukunda <matlads@dsmagic.com>
---
diff --git a/Makefile b/Makefile
--- a/Makefile
+++ b/Makefile
@@ -305,6 +305,15 @@ install-doc:
$(MAKE) -C Documentation install
+### Uninstallation rules
+
+uninstall:
+ -sh ./remove-cmd-rename.sh $(DESTDIR)$(bindir)
+ cd $(DESTDIR)$(bindir) && \
+ rm $(PROGRAMS) $(SCRIPTS) && \
+ rm git-cherry-pick && \
+ cd $(DESTDIR)$(GIT_PYTHON_DIR) && \
+ rm $(PYMODULES)
### Maintainer's dist rules
diff --git a/remove-cmd-rename.sh b/remove-cmd-rename.sh
new file mode 100644
--- /dev/null
+++ b/remove-cmd-rename.sh
@@ -0,0 +1,51 @@
+#!/bin/sh
+d="$1"
+test -d "$d" || exit
+
+while read name
+do
+ rm -f "$d/$name"
+done <<\EOF
+git-add-script
+git-archimport-script
+git-bisect-script
+git-branch-script
+git-checkout-script
+git-cherry-pick-script
+git-clone-script
+git-commit-script
+git-count-objects-script
+git-cvsimport-script
+git-diff-script
+git-send-email-script
+git-fetch-script
+git-format-patch-script
+git-log-script
+git-ls-remote-script
+git-merge-one-file-script
+git-octopus-script
+git-parse-remote-script
+git-prune-script
+git-pull-script
+git-push-script
+git-rebase-script
+git-relink-script
+git-rename-script
+git-repack-script
+git-request-pull-script
+git-reset-script
+git-resolve-script
+git-revert-script
+git-sh-setup-script
+git-status-script
+git-tag-script
+git-verify-tag-script
+git-http-pull
+git-local-pull
+git-checkout-cache
+git-diff-cache
+git-merge-cache
+git-update-cache
+git-convert-cache
+git-fsck-cache
+EOF
next reply other threads:[~2005-09-16 13:00 UTC|newest]
Thread overview: 9+ messages / expand[flat|nested] mbox.gz Atom feed top
2005-09-16 12:58 Martin Atukunda [this message]
2005-09-16 17:08 ` Add uninstall target to Makefile Junio C Hamano
2005-09-16 17:54 ` John W. Linville
2005-09-16 18:08 ` Chris Wright
2005-09-16 19:19 ` John W. Linville
2005-09-16 23:05 ` Junio C Hamano
2005-09-16 23:37 ` Johannes Schindelin
2005-09-18 10:03 ` Martin Atukunda
[not found] ` <12c511ca0509161021249c89a9@mail.gmail.com>
2005-09-16 18:01 ` Junio C Hamano
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20050916125814.GA8084@igloo.ds.co.ug \
--to=matlads@dsmagic.com \
--cc=git@vger.kernel.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.